<template>
    <div class="contact-details">
        <div class="without-delete">
            <h1>Contact details</h1>
            <div class="contact">
                <p>{{ selectedContact.name }}</p>
                <p>{{ selectedContact.surname }}</p>
                <p>{{ selectedContact.telephone }}</p>
                <p>{{ selectedContact.email }}</p>
            </div>
            <div class="buttons">
                <button class="button-back" @click="emitButtonBack">Back</button>
                <button class="button-delete" @click="emitDelete">X</button>
                <button class="button-edit" @click="emitButtonEdit">Edit</button>
            </div>
        </div>
        <DeleteContact
            class="delete"
            v-if="clicked"
            @button-back-event="hideDeleteContact"
            @button-delete-event="sendToDelete"
        />
    </div>
</template>

<script>
import DeleteContact from '@/components/DeleteContact.vue'

export default {
    name: 'ContactDetails',
    props: {
        selectedContact: { propType: Object, required: true },
    },
    components: {
        DeleteContact,
    },
    data() {
        return {
            clicked: false,
        }
    },

    methods: {
        emitButtonBack() {
            this.$emit('button-back')
        },
        emitDelete() {
            this.clicked = true
        },
        emitButtonEdit() {
            this.$emit('button-edit', this.selectedContact)
        },
        hideDeleteContact() {
            this.clicked = false
        },
        sendToDelete() {
            this.$emit('send-to-delete', this.selectedContact)
        },
    },
}
</script>

<style scoped>
h1 {
    margin-top: 0.5rem;
    margin-bottom: 0.8rem;
}

.without-delete {
    padding: 2.3rem 3.3rem;
    border-radius: 2rem;
    background: white;
    -webkit-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    margin-bottom: 2rem;
    width: 19rem;
}

.delete {
    padding: 2rem;
    border-radius: 2rem;
    background: white;
    -webkit-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ccccccb8;
    margin-bottom: 3rem;
    width: 15rem;
    width: 20rem;
    text-align: center;
}
.contact {
    display: flex;
    flex-direction: column;
}

h2 {
    text-align: center;
}

p {
    font-family: 'Roboto';
    border: none;
    color: gray;
    padding: 1rem;
    letter-spacing: 1px;
    margin-top: 1rem;
    font-size: 1rem;
    padding-top: 0.5rem;
    padding-bottom: 1.2rem;
    border-bottom: thin ridge #8080804f;
}
.buttons {
    margin-top: 2rem;
    display: flex;
    justify-content: space-between;
}

button {
    color: white;
    font-size: 1rem;
    border: none;
    border-radius: 200%;
    cursor: pointer;
    background: rgba(103, 156, 137, 0.5);
    padding: 0.7rem 1.4rem;
}

.button-back {
    background: rgba(111, 126, 161, 0.5);
    padding: 0.2rem 1rem;
}
.button-back:hover {
    background: rgba(111, 126, 161, 0.9);
}

.button-edit {
    background: rgba(156, 103, 148, 0.5);
    padding: 1.5rem 1.3rem;
}
.button-edit:hover {
    background: rgba(156, 103, 148, 0.9);
}

.button-delete {
    background: rgba(204, 147, 106, 0.5);
    padding: 0.2rem 1.8rem;
}
.button-delete:hover {
    background: rgba(204, 147, 106, 0.9);
}

@media only screen and (max-width: 600px) {
    .without-delete,
    .delete {
        -webkit-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ffffff;
        -moz-box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ffffff;
        box-shadow: 0.5rem 1rem 0.9rem 0.2rem #ffffff;
    }
}
</style>
